package nc.ui.gl.extendreport;

import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.extendreport.ExReportModel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.UILabel;
import nc.ui.pub.beans.UIPanel;
import nc.ui.pub.beans.UITextArea;
import nc.ui.pub.beans.UITextField;
import nc.vo.gl.extendreport.ExtendreportVO;

public class Step1Panel extends UIPanel {

   private UILabel ivjUILabel1 = null;
   private UILabel ivjUILabel11 = null;
   private UITextField ivjtxtCode = null;
   private UITextArea ivjtxtContent = null;
   private UITextField ivjtxtName = null;
   private UILabel ivjUILabel12 = null;
   public ExReportModel m_model = null;


   public Step1Panel() {
      this.initialize();
   }

   public Step1Panel(LayoutManager p0) {
      super(p0);
   }

   public Step1Panel(LayoutManager p0, boolean p1) {
      super(p0, p1);
   }

   public Step1Panel(boolean p0) {
      super(p0);
   }

   public void clearData() {
   }

   public String getCode() {
      return this.gettxtCode().getText();
   }

   public String getContent() {
      return this.gettxtContent().getText();
   }

   public String getName() {
      return this.gettxtName().getText();
   }

   public ExtendreportVO getreportVO() {
      ExtendreportVO vo = new ExtendreportVO();
      vo.setReportcode(this.gettxtCode().getText());
      vo.setReportname(this.gettxtName().getText());
      vo.setComment(this.gettxtContent().getText());
      vo.setPk_corp(ClientEnvironment.getInstance().getCorporation().getPk_corp());
      vo.setPk_psndoc(ClientEnvironment.getInstance().getUser().getPrimaryKey());
      vo.setApplyrange("C");
      return vo;
   }

   private UITextField gettxtCode() {
      if(this.ivjtxtCode == null) {
         try {
            this.ivjtxtCode = new UITextField();
            this.ivjtxtCode.setName("txtCode");
            this.ivjtxtCode.setBounds(182, 28, 359, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjtxtCode;
   }

   private UITextArea gettxtContent() {
      if(this.ivjtxtContent == null) {
         try {
            this.ivjtxtContent = new UITextArea();
            this.ivjtxtContent.setName("txtContent");
            this.ivjtxtContent.setBounds(182, 120, 359, 158);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjtxtContent;
   }

   private UITextField gettxtName() {
      if(this.ivjtxtName == null) {
         try {
            this.ivjtxtName = new UITextField();
            this.ivjtxtName.setName("txtName");
            this.ivjtxtName.setBounds(182, 71, 359, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjtxtName;
   }

   private UILabel getUILabel1() {
      if(this.ivjUILabel1 == null) {
         try {
            this.ivjUILabel1 = new UILabel();
            this.ivjUILabel1.setName("UILabel1");
            this.ivjUILabel1.setText(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000031"));
            this.ivjUILabel1.setBounds(79, 71, 99, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel1;
   }

   private UILabel getUILabel11() {
      if(this.ivjUILabel11 == null) {
         try {
            this.ivjUILabel11 = new UILabel();
            this.ivjUILabel11.setName("UILabel11");
            this.ivjUILabel11.setText(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000029"));
            this.ivjUILabel11.setBounds(79, 116, 99, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel11;
   }

   private UILabel getUILabel12() {
      if(this.ivjUILabel12 == null) {
         try {
            this.ivjUILabel12 = new UILabel();
            this.ivjUILabel12.setName("UILabel12");
            this.ivjUILabel12.setText(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000032"));
            this.ivjUILabel12.setBounds(79, 28, 99, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel12;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("Step1Panel");
         this.setLayout((LayoutManager)null);
         this.setSize(715, 397);
         this.add(this.getUILabel1(), this.getUILabel1().getName());
         this.add(this.gettxtName(), this.gettxtName().getName());
         this.add(this.getUILabel11(), this.getUILabel11().getName());
         this.add(this.gettxtContent(), this.gettxtContent().getName());
         this.add(this.getUILabel12(), this.getUILabel12().getName());
         this.add(this.gettxtCode(), this.gettxtCode().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         Step1Panel aStep1Panel = new Step1Panel();
         exception.setContentPane(aStep1Panel);
         exception.setSize(aStep1Panel.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.beans.UIPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void setEnable(boolean isEnable) {
      this.gettxtCode().setEditable(isEnable);
      this.gettxtName().setEditable(isEnable);
      this.gettxtContent().setEditable(isEnable);
   }
}
